Bug 1649918 - {{vm.name}} appears as a clickable button when editing hosts
Summary: {{vm.name}} appears as a clickable button when editing hosts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 19:21 UTC by David Luong
Modified: 2019-02-12 16:50 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:50:52 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.png (33.23 KB, image/png)
2018-11-30 10:48 UTC, Yadnyawalk Tale
no flags Details

Description David Luong 2018-11-14 19:21:23 UTC
Description of problem:
{{vm.name}} appears as a clickable button when editing hosts

Version-Release number of selected component (if applicable):
{{vm.name}} appears as a clickable button when editing hosts under all tabs under Endpoint except Default

How reproducible:
Always

Steps to Reproduce:
1. Compute > Infrastructure > Hosts > Edit Host
2. Click on any tab but Default under endpoint
3.

Actual results:
{{ vm.name }} shows up

Expected results:
Validate shows up

Additional info:

Comment 4 CFME Bot 2018-11-16 20:47:47 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/21dad31c3b05874ca522a05bc0858dde28d57920
commit 21dad31c3b05874ca522a05bc0858dde28d57920
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Nov 15 10:22:52 2018 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Nov 15 10:22:52 2018 -0500

    Fixed if condition to prevent undefined js error

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649918

 app/assets/javascripts/controllers/host/host_form_controller.js | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/fe51f086f9ca5da207701293aed0820737ac60de
commit fe51f086f9ca5da207701293aed0820737ac60de
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Nov 15 12:24:00 2018 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Nov 15 12:24:00 2018 -0500

    attempt to fix cc errors

    - To simplify complex logical expression & fix similar code blocks
    - adjusted jasmine spec tests

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649918

 app/assets/javascripts/controllers/host/host_form_controller.js | 26 +-
 spec/javascripts/controllers/host/host_form_controller_spec.js | 6 +-
 2 files changed, 13 insertions(+), 19 deletions(-)

Comment 5 CFME Bot 2018-11-19 18:26:41 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d685f7bd7a14688f0428ccb3a4ff634af96d27ea
commit d685f7bd7a14688f0428ccb3a4ff634af96d27ea
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 16 15:42:48 2018 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Nov 16 15:42:48 2018 -0500

    Merge pull request #4929 from h-kataria/host_editor_js_undefined_error_fix

    Fixed if condition to prevent undefined js error

    (cherry picked from commit 4a3bed3b4654c359a582b1940bb4f22f4822f8f5)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649918

 app/assets/javascripts/controllers/host/host_form_controller.js | 26 +-
 spec/javascripts/controllers/host/host_form_controller_spec.js | 6 +-
 2 files changed, 13 insertions(+), 19 deletions(-)

Comment 6 Yadnyawalk Tale 2018-11-30 10:48:01 UTC
Created attachment 1510102 [details]
fixed_proof.png

Verified on: 5.10.0.27.20181128170555_43ed8cb 
Thanks!


Note You need to log in before you can comment on or make changes to this bug.